Bug 1469798 - SUI : Fetching service data for some services shows error
SUI : Fetching service data for some services shows error
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Gregg Tanzillo
Shveta
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 16:58 EDT by Shveta
Modified: 2018-06-07 02:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 21:32:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error (229.59 KB, image/png)
2017-07-27 17:39 EDT, Shveta
no flags Details
evm log (8.70 MB, application/zip)
2017-07-28 18:16 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2017-07-11 16:58:47 EDT
Description of problem:


Version-Release number of selected component (if applicable):
5.8.1.0.20170623170756_3ed4411 

How reproducible:


Steps to Reproduce:
1. Created few services.
2. Some of them show data without error but few services when clicked on it shows error . Not sure what is special about these services. Screenshot with console attached.
3. 

Actual results:


Expected results:


Additional info:
Appliance - https://10.8.197.236/ui/service/services/5
Comment 2 Shveta 2017-07-11 16:59:46 EDT
Service name -> error_service
Comment 3 Chris Kacerguis 2017-07-11 21:32:28 EDT

*** This bug has been marked as a duplicate of bug 1467569 ***
Comment 4 Shveta 2017-07-27 17:39:21 EDT
Re-opening this as the BZ bug 1467569 is fixed in 5.8.1.5 but 
still seeing this issue .
CLicking on some services shows error as in attached screenshot.
Appliance: https://10.8.197.227/ui/service
Comment 5 Shveta 2017-07-27 17:39 EDT
Created attachment 1305659 [details]
error
Comment 7 Chris Hale 2017-07-28 15:57:39 EDT
I took a look and I see exactly what you see.  We don't really change the request per service to have different parameters so what works for one service should work for another.  Since I can't retrieve the service, I can't really tell you what Shveta might have done differently for these services that is causing these services to error out.
Comment 8 Chris Hale 2017-07-28 15:59:00 EDT
Can you provide the evm logs of this appliance so the API team can see what might be behind this 500 error?
Comment 9 Shveta 2017-07-28 18:16 EDT
Created attachment 1306044 [details]
evm log

Appliance : https://10.8.197.114/ui/service

Note You need to log in before you can comment on or make changes to this bug.